## texworks-manual 20150506

=== Makefile ===
.PHONY : all clean dist dist-clean

all :
	$(MAKE) -C src

clean :
	$(MAKE) -C src clean

dist :
	$(MAKE) -C src dist

dist-clean :
	$(MAKE) -C src dist-clean

=== src/Makefile ===
LANGS = $(patsubst %/,manual-%,$(wildcard */))
DISTLANGS = $(patsubst manual-%,dist-%,$(LANGS))
CLEANLANGS = $(patsubst manual-%,clean-%,$(LANGS))
DISTCLEANLANGS = $(patsubst manual-%,dist-clean-%,$(LANGS))

# Be rather specific with '--git-dir' as we do not want to pick up an unrelated
# outer Git repository in case the TeXworks manual sources come from an archive.
GIT_COMMIT = $(shell LANG=C; git --git-dir=../.git rev-parse --short HEAD)
GIT_DATE = $(subst -,,$(word 1, $(shell LANG=C; git --git-dir=../.git show -s --pretty=%ci HEAD)))

.PHONY : all clean dist dist-clean $(LANGS) $(DISTLANGS) $(CLEANLANGS) $(DISTCLEANLANGS)

all : $(LANGS)

clean : $(CLEANLANGS)

dist : $(DISTLANGS)
	cd ../html && zip -r TeXworks-manual-html-$(GIT_DATE)-$(GIT_COMMIT).zip TeXworks-manual

dist-clean : $(DISTCLEANLANGS)

$(LANGS) : 
	@$(MAKE) -C $(patsubst manual-%,%,$@)

$(DISTLANGS) :
	@$(MAKE) -C $(patsubst dist-%,%,$@) dist

$(CLEANLANGS) :
	@$(MAKE) -C $(patsubst clean-%,%,$@) recursive-clean

$(DISTCLEANLANGS) :
	@$(MAKE) -C $(patsubst dist-clean-%,%,$@) recursive-dist-clean

=== src/en/Makefile ===
LANG=$(notdir $(abspath .))

SYNCTEX = -synctex=1

WINDOWS = $(if $(filter .exe,$(suffix $(SHELL))),"y")
SUPRESSOUT = > $(if $(WINDOWS),nul,/dev/null)
CP = $(if $(WINDOWS),copy,cp)

.PHONY : all pdf html clean dist-clean dist dist-pdf dist-html recursive-clean recursive-dist-clean

all : pdf html

pdf : manual.pdf

html :
	@$(MAKE) -C html

manual.pdf : manual.ind *.tex *.sty images/*.pdf images/*.png
	@lualatex manual
	@lualatex manual
	@lualatex $(SYNCTEX) manual
	
manual.ind : *.tex *.sty
	@lualatex manual
	@makeindex manual

clean :
	rm -f *.aux *.log *.out *.idx *.ind *.ilg *.toc

dist-clean : clean
	rm -f manual.pdf *.synctex *.synctex.gz

recursive-clean : clean
	@$(MAKE) -C html clean

recursive-dist-clean : dist-clean
	@$(MAKE) -C html dist-clean

dist : dist-pdf dist-html

dist-pdf : manual.pdf
	@mkdir -p ../../pdf/$(LANG)
	@$(CP) manual.pdf ../../pdf/$(LANG)/TeXworks-manual-$(LANG).pdf

dist-html :
	$(MAKE) -C html dist

=== src/fr/Makefile ===
LANG=$(notdir $(abspath .))

SYNCTEX = -synctex=1

WINDOWS = $(if $(filter .exe,$(suffix $(SHELL))),"y")
SUPRESSOUT = > $(if $(WINDOWS),nul,/dev/null)
CP = $(if $(WINDOWS),copy,cp)

.PHONY : all pdf html clean dist-clean dist dist-pdf dist-html recursive-clean recursive-dist-clean

all : pdf html

pdf : manuel.pdf

html :
	@$(MAKE) -C html

manuel.pdf : manuel.ind *.tex *.sty images/*.pdf images/*.png
	@lualatex manuel
	@lualatex manuel
	@lualatex $(SYNCTEX) manuel
	
manuel.ind : *.tex *.sty
	@lualatex manuel
	@makeindex manuel

clean :
	rm -f *.aux *.log *.out *.idx *.ind *.ilg *.toc

dist-clean : clean
	rm -f manuel.pdf *.synctex *.synctex.gz

recursive-clean : clean
	@$(MAKE) -C html clean

recursive-dist-clean : dist-clean
	@$(MAKE) -C html dist-clean

dist : dist-pdf dist-html

dist-pdf : manuel.pdf
	@mkdir -p ../../pdf/$(LANG)
	@$(CP) manuel.pdf ../../pdf/$(LANG)/TeXworks-manual-$(LANG).pdf

dist-html :
	$(MAKE) -C html dist

=== src/en/html/Makefile ===
LANG=$(notdir $(abspath ..))

Logos = images/Linux.png images/Mac.png images/Windows.png images/TeXworks.png images/example.png
EpsFromPdf = images/MacCmdKey.eps images/MacOptKey.eps images/interface-summary.eps images/consoleOutput.eps images/errorParsingScript.eps images/LMB.eps images/RMB.eps
EpsFromPng = images/toolbar1.eps images/toolbar2.eps images/iconTypeset.eps images/iconAbortTypesetting.eps images/replaceDialog.eps images/screenshotHardWrapDlg.eps images/TeXworks.eps images/Linux.eps images/Mac.eps images/Windows.eps

IMAGES = $(Logos) $(EpsFromPdf) $(EpsFromPng)

HTOPTS = "manual,info,2,imgdir:images/,sec-filename,next,index=2,url-enc" "" "-S*"

# Ghostscript 9.14/9.15 dropped the 'epswrite' output device in favor of the new
# 'eps2write' output device. Prefer the latter, but fallback to the former for
# older Ghostscript versions.
GS_DEVICE = $(shell LANG=C; gs -h | grep -o eps2write || echo epswrite)

WINDOWS = $(if $(filter .exe,$(suffix $(SHELL))),"y")
SUPRESSOUT = > $(if $(WINDOWS),nul,/dev/null)
CP = $(if $(WINDOWS),copy,cp)

.PHONY : html clean dist-clean dist dist-pdf dist-html

SOURCES = index.tex $(filter-out manual.tex,$(subst ../,,$(wildcard ../*.tex ../*.sty)))

html : index.html

index.html : $(IMAGES) $(SOURCES) index.ind manual.cfg tex4ht.env
	@htlatex index $(HTOPTS)
	@htlatex index $(HTOPTS)

%.tex : ../%.tex
	$(CP) $< $@
%.sty : ../%.sty
	$(CP) $< $@
index.tex : ../manual.tex
	$(CP) $< $@

images/Linux.png : ../images/Linux.pdf
	@mkdir -p images
	@convert ../images/Linux.pdf -resize 48x48 images/Linux.png $(SUPRESSOUT)
images/Mac.png : ../images/Mac.pdf
	@mkdir -p images
	@convert ../images/Mac.pdf -resize 48x48 images/Mac.png $(SUPRESSOUT)
images/Windows.png : ../images/Windows.pdf
	@mkdir -p images
	@convert ../images/Windows.pdf -resize 48x48 images/Windows.png $(SUPRESSOUT)
images/TeXworks.png : ../images/TeXworks.png
	@mkdir -p images
	@convert ../images/TeXworks.png -resize 100x100 images/TeXworks.png $(SUPRESSOUT)
images/example.png : ../images/example.pdf
	@mkdir -p images
	@convert -density 300 "$<"  -resize 48x48 "$@" $(SUPRESSOUT)
images/%.eps : ../images/%.pdf
	@echo "Creating image $@ (from $<)"
	@mkdir -p images
	@gs -dSAFER -dBATCH -dNOPAUSE -sDEVICE=$(GS_DEVICE) -sOutputFile="$@" "$<" $(SUPRESSOUT)
images/%.eps : ../images/%.png
	@echo "Creating image $@ (from $<)"
	@mkdir -p images
	@convert "$<" "$@" $(SUPRESSOUT)


index.ind : images $(SOURCES) manual.cfg tex4ht.env
	@echo "Creating index..."
	@echo "   running htlatex..."
	@htlatex index $(HTOPTS)
	@echo "   creating input file..."
	@tex '\def\filename{{index}{idx}{4dx}{ind}} \input  idxmake.4ht'
	@echo "   running makeindex..."
	@makeindex -o index.ind index.4dx

clean : 
	rm -f *.tex *.sty idxmake.* *.aux *.log
	rm -f index.4ct index.4tc index.dvi index.idv index.idx index.lg index.log index.out index.tmp index.xref index.4dx index.4ix index.ilg index.ind

dist-clean : clean
	rm -f *.html index.css
	rm -rf images/

dist : dist-html

dist-html : index.html tidy.cfg manual.css
	@mkdir -p ../../../html/TeXworks-manual/$(LANG)/images
	@$(CP) images/*.png ../../../html/TeXworks-manual/$(LANG)/images
	@$(CP) *.html *.css tw-help-title.txt ../../../html/TeXworks-manual/$(LANG)/
	@tidy -config tidy.cfg ../../../html/TeXworks-manual/$(LANG)/*.html || true

=== src/fr/html/Makefile ===
LANG=$(notdir $(abspath ..))

Logos = images/Linux.png images/Mac.png images/Windows.png images/TeXworks.png images/example.png
EpsFromPdf = images/MacCmdKey.eps images/MacOptKey.eps images/LMB.eps images/RMB.eps
EpsFromPng = images/toolbar1.eps images/toolbar2.eps images/iconTypeset.eps images/iconAbortTypesetting.eps images/TeXworks.eps images/Linux.eps images/Mac.eps images/Windows.eps images/interface-Tw.eps images/consoleOutput.eps images/errorParsingScript.eps 
EpsFromJpg = images/rechremp.eps

IMAGES = $(Logos) $(EpsFromPdf) $(EpsFromPng) ${EpsFromJpg}

HTOPTS = "manual,info,2,imgdir:images/,sec-filename,next,index=2,url-enc" "" "-S*"

# Ghostscript 9.14/9.15 dropped the 'epswrite' output device in favor of the new
# 'eps2write' output device. Prefer the latter, but fallback to the former for
# older Ghostscript versions.
GS_DEVICE = $(shell LANG=C; gs -h | grep -o eps2write || echo epswrite)

WINDOWS = $(if $(filter .exe,$(suffix $(SHELL))),"y")
SUPRESSOUT = > $(if $(WINDOWS),nul,/dev/null)
CP = $(if $(WINDOWS),copy,cp)

.PHONY : html clean dist-clean dist dist-pdf dist-html

SOURCES = index.tex $(filter-out manuel.tex,$(subst ../,,$(wildcard ../*.tex ../*.sty)))

html : index.html

index.html : $(IMAGES) $(SOURCES) index.ind manual.cfg tex4ht.env
	@htlatex index $(HTOPTS)
	@htlatex index $(HTOPTS)

%.tex : ../%.tex
	$(CP) $< $@
%.sty : ../%.sty
	$(CP) $< $@
index.tex : ../manuel.tex
	$(CP) $< $@

images/Linux.png : ../images/Linux.pdf
	@mkdir -p images
	@convert ../images/Linux.pdf -resize 48x48 images/Linux.png $(SUPRESSOUT)
images/Mac.png : ../images/Mac.pdf
	@mkdir -p images
	@convert ../images/Mac.pdf -resize 48x48 images/Mac.png $(SUPRESSOUT)
images/Windows.png : ../images/Windows.pdf
	@mkdir -p images
	@convert ../images/Windows.pdf -resize 48x48 images/Windows.png $(SUPRESSOUT)
images/TeXworks.png : ../images/TeXworks.png
	@mkdir -p images
	@convert ../images/TeXworks.png -resize 100x100 images/TeXworks.png $(SUPRESSOUT)
images/example.png : ../images/example.pdf
	@mkdir -p images
	@convert -density 300 "$<"  -resize 48x48 "$@" $(SUPRESSOUT)
images/%.eps : ../images/%.pdf
	@echo "Creating image $@ (from $<)"
	@mkdir -p images
	@gs -dSAFER -dBATCH -dNOPAUSE -sDEVICE=$(GS_DEVICE) -sOutputFile="$@" "$<" $(SUPRESSOUT)
images/%.eps : ../images/%.png
	@echo "Creating image $@ (from $<)"
	@mkdir -p images
	@convert "$<" "$@" $(SUPRESSOUT)
images/%.eps : ../images/%.jpg
	@echo "Creating image $@ (from $<)"
	@mkdir -p images
	@convert "$<" "$@" $(SUPRESSOUT)


index.ind : images $(SOURCES) manual.cfg tex4ht.env
	@echo "Creating index..."
	@echo "   running htlatex..."
	@htlatex index $(HTOPTS)
	@echo "   creating input file..."
	@tex '\def\filename{{index}{idx}{4dx}{ind}} \input  idxmake.4ht'
	@echo "   running makeindex..."
	@makeindex -o index.ind index.4dx

clean : 
	rm -f *.tex *.sty idxmake.* *.aux *.log
	rm -f index.4ct index.4tc index.dvi index.idv index.idx index.lg index.log index.out index.tmp index.xref index.4dx index.4ix index.ilg index.ind

dist-clean : clean
	rm -f *.html index.css
	rm -rf images/

dist : dist-html

dist-html : index.html tidy.cfg manual.css
	@mkdir -p ../../../html/TeXworks-manual/$(LANG)/images
	@$(CP) images/*.png ../../../html/TeXworks-manual/$(LANG)/images
	@$(CP) *.html *.css tw-help-title.txt ../../../html/TeXworks-manual/$(LANG)/
	@tidy -config tidy.cfg ../../../html/TeXworks-manual/$(LANG)/*.html || true

=== debian/changelog ===
texworks-manual (20150506-4) unstable; urgency=medium

  * source only upload

 -- Norbert Preining <norbert@preining.info>  Fri, 19 Jul 2019 14:41:51 +0900

texworks-manual (20150506-3) unstable; urgency=medium

  * update VCS, my email, and standards version
  * fix build errors due to LANG setting during build
  * switch from extra to option priority

 -- Norbert Preining <norbert@preining.info>  Sat, 02 Mar 2019 15:18:33 +0900

texworks-manual (20150506-2) unstable; urgency=medium

  * bump standards version, no changes necessary
  * make sure not to create files in ~ and make sbuild is happy 
    (Closes: #832871)

 -- Norbert Preining <preining@debian.org>  Mon, 01 Aug 2016 22:33:47 +0900

texworks-manual (20150506-1) unstable; urgency=medium

  * Imported Upstream version 20150506

 -- Norbert Preining <preining@debian.org>  Mon, 04 Apr 2016 12:22:59 +0900

=== debian/control ===
Source: texworks-manual
Section: editors
Priority: optional
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: texlive-latex-base, 
	texlive-latex-recommended,
	texlive-fonts-recommended,
	texlive-latex-extra,
	texlive-lang-french,
	texlive-luatex,
	tex4ht,
	ghostscript,
	lmodern,
	imagemagick
Standards-Version: 4.2.1
Homepage: http://www.tug.org/texworks/
Vcs-Git: https://github.com/debian-tex/texworks-manual.git
Vcs-Browser: https://github.com/debian-tex/texworks-manual

Package: texworks-help-en
Architecture: all
Depends: ${misc:Depends}
Recommends: texworks
Description: English help files for TeXworks
 For furter information, see http://tug.org/texworks/

Package: texworks-help-fr
Architecture: all
Depends: ${misc:Depends}
Recommends: texworks
Description: French help files for TeXworks
 For furter information, see http://tug.org/texworks/

=== debian/rules ===
#!/usr/bin/make -f

TEXMFVAR := `mktemp -d`
TEXMFCONFIG := `mktemp -d`
export TEXMFVAR
export TEXMFCONFIG

%:
	dh $@

override_dh_compress:
	dh_compress -X.pdf

## texworks-manual 20200329

=== src/en/html/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-LANG=$(notdir $(abspath ..))
+MANUAL_LANG=$(notdir $(abspath ..))
 
 Logos = images/Linux.png images/Mac.png images/Windows.png images/TeXworks.png images/example.png
 EpsFromPdf = images/MacCmdKey.eps images/MacOptKey.eps images/interface-summary.eps images/consoleOutput.eps images/errorParsingScript.eps images/LMB.eps images/RMB.eps
@@ -36,19 +36,19 @@
 
 images/Linux.png : ../images/Linux.pdf
 	@mkdir -p images
-	@convert ../images/Linux.pdf -resize 48x48 images/Linux.png $(SUPRESSOUT)
+	@gs -dSAFER -dBATCH -dNOPAUSE -sDEVICE=pngalpha -sstdout=%stderr -sOutputFile=- "$<" 2$(SUPRESSOUT) | convert png:- -resize 48x48 $@ $(SUPRESSOUT)
 images/Mac.png : ../images/Mac.pdf
 	@mkdir -p images
-	@convert ../images/Mac.pdf -resize 48x48 images/Mac.png $(SUPRESSOUT)
+	@gs -dSAFER -dBATCH -dNOPAUSE -sDEVICE=pngalpha -sstdout=%stderr -sOutputFile=- "$<" 2$(SUPRESSOUT) | convert png:- -resize 48x48 $@ $(SUPRESSOUT)
 images/Windows.png : ../images/Windows.pdf
 	@mkdir -p images
-	@convert ../images/Windows.pdf -resize 48x48 images/Windows.png $(SUPRESSOUT)
+	@gs -dSAFER -dBATCH -dNOPAUSE -sDEVICE=pngalpha -sstdout=%stderr -sOutputFile=- "$<" 2$(SUPRESSOUT) | convert png:- -resize 48x48 $@ $(SUPRESSOUT)
 images/TeXworks.png : ../images/TeXworks.png
 	@mkdir -p images
 	@convert ../images/TeXworks.png -resize 100x100 images/TeXworks.png $(SUPRESSOUT)
 images/example.png : ../images/example.pdf
 	@mkdir -p images
-	@convert -density 300 "$<"  -resize 48x48 "$@" $(SUPRESSOUT)
+	@gs -dSAFER -dBATCH -dNOPAUSE -sDEVICE=pngalpha -sstdout=%stderr -sOutputFile=- "$<" 2$(SUPRESSOUT) | convert png:- -resize 48x48 $@ $(SUPRESSOUT)
 images/%.eps : ../images/%.pdf
 	@echo "Creating image $@ (from $<)"
 	@mkdir -p images
@@ -56,7 +56,8 @@
 images/%.eps : ../images/%.png
 	@echo "Creating image $@ (from $<)"
 	@mkdir -p images
-	@convert "$<" "$@" $(SUPRESSOUT)
+	# Some versions of convert refuse to produce .eps files due to security concerns
+	@convert "$<" "$@" $(SUPRESSOUT) 2$(SUPRESSOUT) || convert "$<" ppm: | pnmtops -noturn | eps2eps - "$@"
 
 
 index.ind : images $(SOURCES) manual.cfg tex4ht.env
@@ -79,8 +80,8 @@
 dist : dist-html
 
 dist-html : index.html tidy.cfg manual.css
-	@mkdir -p ../../../html/TeXworks-manual/$(LANG)/images
-	@$(CP) images/*.png ../../../html/TeXworks-manual/$(LANG)/images
-	@$(CP) *.html *.css tw-help-title.txt ../../../html/TeXworks-manual/$(LANG)/
-	@tidy -config tidy.cfg ../../../html/TeXworks-manual/$(LANG)/*.html || true
+	@mkdir -p ../../../html/TeXworks-manual/$(MANUAL_LANG)/images
+	@$(CP) images/*.png ../../../html/TeXworks-manual/$(MANUAL_LANG)/images
+	@$(CP) *.html *.css tw-help-title.txt ../../../html/TeXworks-manual/$(MANUAL_LANG)/
+	@tidy -config tidy.cfg ../../../html/TeXworks-manual/$(MANUAL_LANG)/*.html || true

=== src/fr/html/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-LANG=$(notdir $(abspath ..))
+MANUAL_LANG=$(notdir $(abspath ..))
 
 Logos = images/Linux.png images/Mac.png images/Windows.png images/TeXworks.png images/example.png
 EpsFromPdf = images/MacCmdKey.eps images/MacOptKey.eps images/LMB.eps images/RMB.eps
@@ -37,19 +37,19 @@
 
 images/Linux.png : ../images/Linux.pdf
 	@mkdir -p images
-	@convert ../images/Linux.pdf -resize 48x48 images/Linux.png $(SUPRESSOUT)
+	@gs -dSAFER -dBATCH -dNOPAUSE -sDEVICE=pngalpha -sstdout=%stderr -sOutputFile=- "$<" 2$(SUPRESSOUT) | convert png:- -resize 48x48 $@ $(SUPRESSOUT)
 images/Mac.png : ../images/Mac.pdf
 	@mkdir -p images
-	@convert ../images/Mac.pdf -resize 48x48 images/Mac.png $(SUPRESSOUT)
+	@gs -dSAFER -dBATCH -dNOPAUSE -sDEVICE=pngalpha -sstdout=%stderr -sOutputFile=- "$<" 2$(SUPRESSOUT) | convert png:- -resize 48x48 $@ $(SUPRESSOUT)
 images/Windows.png : ../images/Windows.pdf
 	@mkdir -p images
-	@convert ../images/Windows.pdf -resize 48x48 images/Windows.png $(SUPRESSOUT)
+	@gs -dSAFER -dBATCH -dNOPAUSE -sDEVICE=pngalpha -sstdout=%stderr -sOutputFile=- "$<" 2$(SUPRESSOUT) | convert png:- -resize 48x48 $@ $(SUPRESSOUT)
 images/TeXworks.png : ../images/TeXworks.png
 	@mkdir -p images
 	@convert ../images/TeXworks.png -resize 100x100 images/TeXworks.png $(SUPRESSOUT)
 images/example.png : ../images/example.pdf
 	@mkdir -p images
-	@convert -density 300 "$<"  -resize 48x48 "$@" $(SUPRESSOUT)
+	@gs -dSAFER -dBATCH -dNOPAUSE -sDEVICE=pngalpha -sstdout=%stderr -sOutputFile=- "$<" 2$(SUPRESSOUT) | convert png:- -resize 48x48 $@ $(SUPRESSOUT)
 images/%.eps : ../images/%.pdf
 	@echo "Creating image $@ (from $<)"
 	@mkdir -p images
@@ -57,11 +57,13 @@
 images/%.eps : ../images/%.png
 	@echo "Creating image $@ (from $<)"
 	@mkdir -p images
-	@convert "$<" "$@" $(SUPRESSOUT)
+	# Some versions of convert refuse to produce .eps files due to security concerns
+	@convert "$<" "$@" $(SUPRESSOUT) 2$(SUPRESSOUT) || convert "$<" ppm: | pnmtops -noturn | eps2eps - "$@"
 images/%.eps : ../images/%.jpg
 	@echo "Creating image $@ (from $<)"
 	@mkdir -p images
-	@convert "$<" "$@" $(SUPRESSOUT)
+	# Some versions of convert refuse to produce .eps files due to security concerns
+	@convert "$<" "$@" $(SUPRESSOUT) 2$(SUPRESSOUT) || convert "$<" ppm: | pnmtops -noturn | eps2eps - "$@"
 
 
 index.ind : images $(SOURCES) manual.cfg tex4ht.env
@@ -84,8 +86,8 @@
 dist : dist-html
 
 dist-html : index.html tidy.cfg manual.css
-	@mkdir -p ../../../html/TeXworks-manual/$(LANG)/images
-	@$(CP) images/*.png ../../../html/TeXworks-manual/$(LANG)/images
-	@$(CP) *.html *.css tw-help-title.txt ../../../html/TeXworks-manual/$(LANG)/
-	@tidy -config tidy.cfg ../../../html/TeXworks-manual/$(LANG)/*.html || true
+	@mkdir -p ../../../html/TeXworks-manual/$(MANUAL_LANG)/images
+	@$(CP) images/*.png ../../../html/TeXworks-manual/$(MANUAL_LANG)/images
+	@$(CP) *.html *.css tw-help-title.txt ../../../html/TeXworks-manual/$(MANUAL_LANG)/
+	@tidy -config tidy.cfg ../../../html/TeXworks-manual/$(MANUAL_LANG)/*.html || true

=== debian/changelog ===
texworks-manual (20200329-1) unstable; urgency=medium

  * New upstream version.
    - Remove fix-build-lang patch.
    - override_dh_auto_clean, run "make dist-clean".

 -- Hilmar Preusse <hille42@web.de>  Sun, 31 Jan 2021 11:07:55 +0100

texworks-manual (20150506-6) unstable; urgency=medium

  * Lintian: P: no-dep5-copyright
  * Modify d/watch file to make it work using uscan from Debian buster.

 -- Hilmar Preusse <hille42@web.de>  Sat, 30 Jan 2021 16:40:52 +0100

texworks-manual (20150506-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Apply multi-arch hints.
    + texworks-help-en, texworks-help-fr: Add Multi-Arch: foreign.

  [ Hilmar Preusse ]
  * Fix broken "mktemp -d" in d/rules
  * Add me to uploaders
  * We are "Debian TeX Task Force"
  * d/watch file: by Eriberto Mota <eriberto@debian.org>. Thanks!
  * Bump Standards version to 4.5.1, no changes needed.
  * First draft of dep5 copyright.
  * Lintian:
    Override: I: package-contains-documentation-outside-usr-share-doc
    I: texworks-manual source: duplicate-long-description
    I: texworks-manual source: quilt-patch-missing-description fix-build-lang
    P: silent-on-rules-requiring-root

 -- Hilmar Preusse <hille42@web.de>  Thu, 28 Jan 2021 23:51:10 +0100

=== debian/control ===
Source: texworks-manual
Section: editors
Priority: optional
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
	Hilmar Preusse <hille42@web.de>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: texlive-latex-base,
	texlive-latex-recommended,
	texlive-fonts-recommended,
	texlive-latex-extra,
	texlive-lang-french,
	texlive-luatex,
	tex4ht,
	ghostscript,
	lmodern,
	imagemagick
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://www.tug.org/texworks/
Vcs-Git: https://github.com/debian-tex/texworks-manual.git
Vcs-Browser: https://github.com/debian-tex/texworks-manual

Package: texworks-help-en
Architecture: all
Depends: ${misc:Depends}
Recommends: texworks
Multi-Arch: foreign
Description: English help files for TeXworks
 This is the manual for program suite TeXworks (English).
 For furter information, see http://tug.org/texworks/

Package: texworks-help-fr
Architecture: all
Depends: ${misc:Depends}
Recommends: texworks
Multi-Arch: foreign
Description: French help files for TeXworks
 This is the manual for program suite TeXworks (French).
 For furter information, see http://tug.org/texworks/

## texworks-manual 20210308

=== src/en/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-LANG=$(notdir $(abspath .))
+MANUAL_LANG=$(notdir $(abspath .))
 
 SYNCTEX = -synctex=1
 
@@ -39,8 +39,8 @@
 dist : dist-pdf dist-html
 
 dist-pdf : manual.pdf
-	@mkdir -p ../../pdf/$(LANG)
-	@$(CP) manual.pdf ../../pdf/$(LANG)/TeXworks-manual-$(LANG).pdf
+	@mkdir -p ../../pdf/$(MANUAL_LANG)
+	@$(CP) manual.pdf ../../pdf/$(MANUAL_LANG)/TeXworks-manual-$(MANUAL_LANG).pdf
 
 dist-html :
 	$(MAKE) -C html dist

=== src/fr/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-LANG=$(notdir $(abspath .))
+MANUAL_LANG=$(notdir $(abspath .))
 
 SYNCTEX = -synctex=1
 
@@ -39,8 +39,8 @@
 dist : dist-pdf dist-html
 
 dist-pdf : manuel.pdf
-	@mkdir -p ../../pdf/$(LANG)
-	@$(CP) manuel.pdf ../../pdf/$(LANG)/TeXworks-manual-$(LANG).pdf
+	@mkdir -p ../../pdf/$(MANUAL_LANG)
+	@$(CP) manuel.pdf ../../pdf/$(MANUAL_LANG)/TeXworks-manual-$(MANUAL_LANG).pdf
 
 dist-html :
 	$(MAKE) -C html dist

=== src/en/html/Makefile ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	@echo "Creating image $@ (from $<)"
 	@mkdir -p images
 	# Some versions of convert refuse to produce .eps files due to security concerns
-	@convert "$<" "$@" $(SUPRESSOUT) 2$(SUPRESSOUT) || convert "$<" ppm: | pnmtops -noturn | eps2eps - "$@"
+	@convert "$<" "$@" $(SUPRESSOUT) 2$(SUPRESSOUT) || convert "$<" ppm:- | pnmtops -noturn | eps2eps - "$@"
 
 
 index.ind : images $(SOURCES) manual.cfg tex4ht.env

=== src/fr/html/Makefile ===
--- 
+++ 
@@ -58,12 +58,12 @@
 	@echo "Creating image $@ (from $<)"
 	@mkdir -p images
 	# Some versions of convert refuse to produce .eps files due to security concerns
-	@convert "$<" "$@" $(SUPRESSOUT) 2$(SUPRESSOUT) || convert "$<" ppm: | pnmtops -noturn | eps2eps - "$@"
+	@convert "$<" "$@" $(SUPRESSOUT) 2$(SUPRESSOUT) || convert "$<" ppm:- | pnmtops -noturn | eps2eps - "$@"
 images/%.eps : ../images/%.jpg
 	@echo "Creating image $@ (from $<)"
 	@mkdir -p images
 	# Some versions of convert refuse to produce .eps files due to security concerns
-	@convert "$<" "$@" $(SUPRESSOUT) 2$(SUPRESSOUT) || convert "$<" ppm: | pnmtops -noturn | eps2eps - "$@"
+	@convert "$<" "$@" $(SUPRESSOUT) 2$(SUPRESSOUT) || convert "$<" ppm:- | pnmtops -noturn | eps2eps - "$@"
 
 
 index.ind : images $(SOURCES) manual.cfg tex4ht.env

=== debian/changelog ===
texworks-manual (20210308-2) unstable; urgency=medium

  * Add b-d netpbm, to solve FTBFS on Ubuntu (Closes: #986686).
  * Replace b-d (-tex4ht, +texlive-plain-generic)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Hilmar Preusse <hille42@web.de>  Wed, 14 Jul 2021 21:38:28 +0200

texworks-manual (20210308-1) unstable; urgency=medium

  * New upstream version.
    - doc-base integration
    - fix typo in package description.
    - Remove fix-build-lang patch

 -- Hilmar Preusse <hille42@web.de>  Fri, 12 Mar 2021 20:24:59 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
 	texlive-latex-extra,
 	texlive-lang-french,
 	texlive-luatex,
-	tex4ht,
+	texlive-plain-generic,
 	ghostscript,
 	lmodern,
-	imagemagick
+	imagemagick,
+	netpbm
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.tug.org/texworks/
@@ -28,7 +29,7 @@
 Multi-Arch: foreign
 Description: English help files for TeXworks
  This is the manual for program suite TeXworks (English).
- For furter information, see http://tug.org/texworks/
+ For further information, see http://tug.org/texworks/
 
 Package: texworks-help-fr
 Architecture: all
@@ -37,4 +38,4 @@
 Multi-Arch: foreign
 Description: French help files for TeXworks
  This is the manual for program suite TeXworks (French).
- For furter information, see http://tug.org/texworks/
+ For further information, see http://tug.org/texworks/

=== debian/rules ===
#!/usr/bin/make -f

TEXMFVAR := $(mktemp -d)
TEXMFCONFIG := $(mktemp -d)
export TEXMFVAR
export TEXMFCONFIG

%:
	dh $@

override_dh_compress:
	dh_compress -X.pdf

override_dh_auto_clean:
	$(MAKE) dist-clean

## texworks-manual 20240209

=== src/Makefile ===
--- 
+++ 
@@ -1,12 +1,27 @@
-LANGS = $(patsubst %/,manual-%,$(wildcard */))
+LANGS = $(patsubst %/,manual-%,$(filter-out scripts/,$(wildcard */)))
 DISTLANGS = $(patsubst manual-%,dist-%,$(LANGS))
 CLEANLANGS = $(patsubst manual-%,clean-%,$(LANGS))
 DISTCLEANLANGS = $(patsubst manual-%,dist-clean-%,$(LANGS))
 
 # Be rather specific with '--git-dir' as we do not want to pick up an unrelated
 # outer Git repository in case the TeXworks manual sources come from an archive.
-GIT_COMMIT = $(shell LANG=C; git --git-dir=../.git rev-parse --short HEAD)
-GIT_DATE = $(subst -,,$(word 1, $(shell LANG=C; git --git-dir=../.git show -s --pretty=%ci HEAD)))
+GIT_COMMIT = $(shell LANG=C; git --git-dir=../.git rev-parse --short HEAD || echo "")
+GIT_DATE_ISO = $(shell LANG=C; git --git-dir=../.git show -s --pretty=%ci HEAD || echo "")
+GIT_DATE = $(subst -,,$(word 1,$(GIT_DATE_ISO)))$(subst :,,$(word 2,$(GIT_DATE_ISO)))
+
+# If calling git did not succeed (for whatever reason), try to fetch the info
+# from git_version.txt (which is populated during 'git archive')
+ifeq ($(GIT_COMMIT),)
+	GIT_VERSION_INFO := $(shell cat git_version.txt)
+	GIT_COMMIT = $(word 1,$(GIT_VERSION_INFO))
+	GIT_DATE = $(subst -,,$(word 2,$(GIT_VERSION_INFO)))$(subst :,,$(word 3,$(GIT_VERSION_INFO)))
+
+	# If we still couldn't figure out the version, stop with an error message
+	ifeq ($(findstring %h,$(GIT_COMMIT)),%h)
+        $(error "Could not determine the version information. Make sure you use git or a properly exported archive")
+	endif
+endif
+
 
 .PHONY : all clean dist dist-clean $(LANGS) $(DISTLANGS) $(CLEANLANGS) $(DISTCLEANLANGS)

=== src/en/Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 
 manual.pdf : manual.ind *.tex *.sty images/*.pdf images/*.png
 	@lualatex manual
+	@bibtex manual
 	@lualatex manual
 	@lualatex $(SYNCTEX) manual
 	
@@ -25,7 +26,7 @@
 	@makeindex manual
 
 clean :
-	rm -f *.aux *.log *.out *.idx *.ind *.ilg *.toc
+	rm -f *.aux *.bbl *.log *.out *.idx *.ind *.ilg *.toc
 
 dist-clean : clean
 	rm -f manual.pdf *.synctex *.synctex.gz

=== src/en/html/Makefile ===
MANUAL_LANG=$(notdir $(abspath ..))

Logos = images/Linux.png images/Mac.png images/Windows.png images/TeXworks.png images/example.png
Pdfs = images/MacCmdKey.pdf images/MacOptKey.pdf images/interface-summary.pdf images/consoleOutput.pdf images/errorParsingScript.pdf images/iconTypeset.pdf images/iconAbortTypesetting.pdf images/LMB.pdf images/RMB.pdf
Pngs = images/citationsDialog.png images/toolbar1.png images/toolbar2.png images/replaceDialog.png images/screenshotHardWrapDlg.png images/TeXworks.png images/Linux.png images/Mac.png images/Windows.png

IMAGES = $(Logos) $(EpsFromPdf) $(EpsFromPng) $(Pngs) $(Pdfs)

HTOPTS = "manual,info,2,sec-filename,next,index=2,url-enc,charset=utf-8" " -cmozhtf -utf8" "-S*"

# Ghostscript 9.14/9.15 dropped the 'epswrite' output device in favor of the new
# 'eps2write' output device. Prefer the latter, but fallback to the former for
# older Ghostscript versions.
GS_DEVICE = $(shell LANG=C; gs -h | grep -o eps2write || echo epswrite)

WINDOWS = $(if $(filter .exe,$(suffix $(SHELL))),"y")
SUPRESSOUT = > $(if $(WINDOWS),nul,/dev/null)
CP = $(if $(WINDOWS),copy,cp)

.PHONY : html clean dist-clean dist dist-pdf dist-html

SOURCES = index.tex $(filter-out manual.tex,$(subst ../,,$(wildcard ../*.tex ../*.sty ../*.bib ../*.bst)))

html : index.html

index.html : $(IMAGES) $(SOURCES) index.ind manual.cfg
	@htlatex index $(HTOPTS)
	@bibtex index
	@htlatex index $(HTOPTS)

%.tex : ../%.tex
	$(CP) $< $@
%.sty : ../%.sty
	$(CP) $< $@
%.bib : ../%.bib
	$(CP) $< $@
%.bst : ../%.bst
	$(CP) $< $@
index.tex : ../manual.tex
	$(CP) $< $@

images/Linux.png : ../images/Linux.pdf
	@mkdir -p images
	@gs -dSAFER -dBATCH -dNOPAUSE -sDEVICE=pngalpha -r300 -sstdout=%stderr -sOutputFile=- "$<" 2$(SUPRESSOUT) | convert png:- -resize 48x48 $@ $(SUPRESSOUT)
images/Mac.png : ../images/Mac.pdf
	@mkdir -p images
	@gs -dSAFER -dBATCH -dNOPAUSE -sDEVICE=pngalpha -r300 -sstdout=%stderr -sOutputFile=- "$<" 2$(SUPRESSOUT) | convert png:- -resize 48x48 $@ $(SUPRESSOUT)
images/Windows.png : ../images/Windows.pdf
	@mkdir -p images
	@gs -dSAFER -dBATCH -dNOPAUSE -sDEVICE=pngalpha -r300 -sstdout=%stderr -sOutputFile=- "$<" 2$(SUPRESSOUT) | convert png:- -resize 48x48 $@ $(SUPRESSOUT)
images/TeXworks.png : ../images/TeXworks.png
	@mkdir -p images
	@convert ../images/TeXworks.png -resize 100x100 images/TeXworks.png $(SUPRESSOUT)
images/example.png : ../images/example.pdf
	@mkdir -p images
	@gs -dSAFER -dBATCH -dNOPAUSE -sDEVICE=pngalpha -r300 -sstdout=%stderr -sOutputFile=- "$<" 2$(SUPRESSOUT) | convert png:- -resize 48x48 $@ $(SUPRESSOUT)
images/%.png : ../images/%.png
	@cp $< $@
	@ebb -x $@
images/%.pdf : ../images/%.pdf
	@cp $< $@
	@gs -dSAFER -dBATCH -dNOPAUSE -sDEVICE=bbox "$@" $(SUPRESSOUT) 2> "images/$*.xbb"


index.ind : images $(SOURCES) manual.cfg
	@echo "Creating index..."
	@echo "   running htlatex..."
	@htlatex index $(HTOPTS)
	@echo "   creating input file..."
	@tex '\def\filename{{index}{idx}{4dx}{ind}} \input  idxmake.4ht'
	@echo "   running makeindex..."
	@makeindex -o index.ind index.4dx

clean : 
	rm -f *.tex *.sty *.bib *.bst idxmake.* *.aux *.bbl *.log
	rm -f index.4ct index.4tc index.dvi index.idv index.idx index.lg index.log index.out index.tmp index.xref index.4dx index.4ix index.ilg index.ind

dist-clean : clean
	rm -f *.html index.css index*.png
	rm -rf images/

dist : dist-html

dist-html : index.html tidy.cfg manual.css
	@mkdir -p ../../../html/TeXworks-manual/$(MANUAL_LANG)/images
	@$(CP) images/*.png ../../../html/TeXworks-manual/$(MANUAL_LANG)/images
	@$(CP) *.html *.css tw-help-title.txt ../../../html/TeXworks-manual/$(MANUAL_LANG)/
	@tidy -config tidy.cfg ../../../html/TeXworks-manual/$(MANUAL_LANG)/*.html || true

=== src/fr/html/Makefile ===
MANUAL_LANG=$(notdir $(abspath ..))

Logos = images/Linux.png images/Mac.png images/Windows.png images/TeXworks.png images/example.png
Pdfs = images/iconTypeset.pdf images/iconAbortTypesetting.pdf images/MacCmdKey.pdf images/MacOptKey.pdf images/LMB.pdf images/RMB.pdf
Pngs = images/rechremp.png images/toolbar1.png images/toolbar2.png images/TeXworks.png images/Linux.png images/Mac.png images/Windows.png images/interface-Tw.png images/consoleOutput.png images/errorParsingScript.png

IMAGES = $(Logos) $(EpsFromPdf) $(EpsFromPng) $(Pngs) $(Pdfs)

HTOPTS = "manual,info,2,sec-filename,next,index=2,url-enc,charset=utf-8" " -cmozhtf -utf8" "-S*"

# Ghostscript 9.14/9.15 dropped the 'epswrite' output device in favor of the new
# 'eps2write' output device. Prefer the latter, but fallback to the former for
# older Ghostscript versions.
GS_DEVICE = $(shell LANG=C; gs -h | grep -o eps2write || echo epswrite)

WINDOWS = $(if $(filter .exe,$(suffix $(SHELL))),"y")
SUPRESSOUT = > $(if $(WINDOWS),nul,/dev/null)
CP = $(if $(WINDOWS),copy,cp)

.PHONY : html clean dist-clean dist dist-pdf dist-html

SOURCES = index.tex $(filter-out manuel.tex,$(subst ../,,$(wildcard ../*.tex ../*.sty)))

html : index.html

index.html : $(IMAGES) $(SOURCES) index.ind manual.cfg
	@htlatex index $(HTOPTS)
	@htlatex index $(HTOPTS)

%.tex : ../%.tex
	$(CP) $< $@
%.sty : ../%.sty
	$(CP) $< $@
index.tex : ../manuel.tex
	$(CP) $< $@

images/Linux.png : ../images/Linux.pdf
	@mkdir -p images
	@gs -dSAFER -dBATCH -dNOPAUSE -sDEVICE=pngalpha -r300 -sstdout=%stderr -sOutputFile=- "$<" 2$(SUPRESSOUT) | convert png:- -resize 48x48 $@ $(SUPRESSOUT)
images/Mac.png : ../images/Mac.pdf
	@mkdir -p images
	@gs -dSAFER -dBATCH -dNOPAUSE -sDEVICE=pngalpha -r300 -sstdout=%stderr -sOutputFile=- "$<" 2$(SUPRESSOUT) | convert png:- -resize 48x48 $@ $(SUPRESSOUT)
images/Windows.png : ../images/Windows.pdf
	@mkdir -p images
	@gs -dSAFER -dBATCH -dNOPAUSE -sDEVICE=pngalpha -r300 -sstdout=%stderr -sOutputFile=- "$<" 2$(SUPRESSOUT) | convert png:- -resize 48x48 $@ $(SUPRESSOUT)
images/TeXworks.png : ../images/TeXworks.png
	@mkdir -p images
	@convert ../images/TeXworks.png -resize 100x100 images/TeXworks.png $(SUPRESSOUT)
images/example.png : ../images/example.pdf
	@mkdir -p images
	@gs -dSAFER -dBATCH -dNOPAUSE -sDEVICE=pngalpha -r300 -sstdout=%stderr -sOutputFile=- "$<" 2$(SUPRESSOUT) | convert png:- -resize 48x48 $@ $(SUPRESSOUT)
images/%.png : ../images/%.png
	@cp $< $@
	@ebb -x $@
images/%.pdf : ../images/%.pdf
	@cp $< $@
	@gs -dSAFER -dBATCH -dNOPAUSE -sDEVICE=bbox "$@" $(SUPRESSOUT) 2> "images/$*.xbb"


index.ind : images $(SOURCES) manual.cfg
	@echo "Creating index..."
	@echo "   running htlatex..."
	@htlatex index $(HTOPTS)
	@echo "   creating input file..."
	@tex '\def\filename{{index}{idx}{4dx}{ind}} \input  idxmake.4ht'
	@echo "   running makeindex..."
	@makeindex -o index.ind index.4dx

clean : 
	rm -f *.tex *.sty idxmake.* *.aux *.log
	rm -f index.4ct index.4tc index.dvi index.idv index.idx index.lg index.log index.out index.tmp index.xref index.4dx index.4ix index.ilg index.ind

dist-clean : clean
	rm -f *.html index.css index*.png
	rm -rf images/

dist : dist-html

dist-html : index.html tidy.cfg manual.css
	@mkdir -p ../../../html/TeXworks-manual/$(MANUAL_LANG)/images
	@$(CP) images/*.png ../../../html/TeXworks-manual/$(MANUAL_LANG)/images
	@$(CP) *.html *.css tw-help-title.txt ../../../html/TeXworks-manual/$(MANUAL_LANG)/
	@tidy -config tidy.cfg ../../../html/TeXworks-manual/$(MANUAL_LANG)/*.html || true

=== debian/changelog ===
texworks-manual (20240209-2) unstable; urgency=medium

  * Bump Standards version, no changes needed.
  * debian/patches/04_no_git_call.diff: Do not call "git" to determine
    version.
  * debian/patches/05_ebb_extractbb.diff: "ebb" does not exist any more,
    replace it by "extractbb".
    (Closes: #1114404)

 -- Hilmar Preuße <hille42@debian.org>  Sat, 06 Sep 2025 11:08:43 +0200

texworks-manual (20240209-1) unstable; urgency=medium

  * New upstream release.
  * Add dvipng to b-d, else some files are not created.
  * Do not install cruft from build (aux files, log files, Makefiles)
  * doc-base integration for HTML pages. Add lintian override for
    "doc-base-file-references-wrong-path".
  * Add debian/gbp.conf.

 -- Hilmar Preusse <hille42@web.de>  Sun, 11 Feb 2024 12:13:35 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>,
-	Hilmar Preusse <hille42@web.de>
+	Hilmar Preuße <hille42@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: texlive-latex-base,
 	texlive-latex-recommended,
@@ -15,8 +15,9 @@
 	ghostscript,
 	lmodern,
 	imagemagick,
+	dvipng,
 	netpbm
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.tug.org/texworks/
 Vcs-Git: https://github.com/debian-tex/texworks-manual.git

=== debian/rules ===
#!/usr/bin/make -f

TEXMFVAR := $(mktemp -d)
TEXMFCONFIG := $(mktemp -d)
TEXMFHOME := $(mktemp -d)
TEXMFCACHE := $(mktemp -d)
export TEXMFVAR
export TEXMFCONFIG
export TEXMFHOME
export TEXMFCACHE

%:
	dh $@

override_dh_compress:
	dh_compress -X.pdf

# FTBFS in sbuild.
#override_dh_auto_build:
#	$(MAKE) dist

override_dh_auto_clean:
	$(MAKE) dist-clean

=== debian/watch ===
version=4
opts=uversionmangle=s/-//g \
  https://github.com/TeXworks/manual/tags .*/?(\d{4}-\d{2}-\d{2})\.tar\.gz
